Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.was.operation
Class DescribeUserResponse

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcwebservices.wass.was.operation.DescribeUserResponse

All Implemented Interfaces:
  Serializable

    public class DescribeUserResponse

extends XMLFragment

`DescribeUserResponse` is an XML document class used as response object for the DescribeUser operation.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary
`protected static String` | `XML_TEMPLATE`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`DescribeUserResponse(User user, String sessionID)` Constructs a new response document.

Method Summary

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### XML_TEMPLATE

    protected static final String XML_TEMPLATE

See Also:
  Constant Field Values

Constructor Detail

### DescribeUserResponse

    public DescribeUserResponse(User user,
                                String sessionID)
                         throws IOException,
                                SAXException,
                                XMLParsingException

  Constructs a new response document.

  Parameters:
    `user` - the user object to extract the response values from.
    `sessionID` - the user's session ID
  Throws:
    `IOException`
    `SAXException`
    `XMLParsingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org